#include "corde.h"
#include <Imagine/Graphics.h>
#include <iostream>
using namespace Imagine;
using namespace std;

int main() {
    openWindow(largeur,largeur);

    Corde corde = cree_corde(150);

    cout << "Corde plate" << endl;
    pince_corde(corde, 0, 0);
    dessine_corde(corde, RED);
    click();
    dessine_corde(corde, WHITE);

    cout << "Corde pincee" << endl;
    pince_corde(corde, 0.5f, 0.2f);
    dessine_corde(corde, GREEN);
    click();
    dessine_corde(corde, WHITE);

    cout << "Double les points" << endl;
    double_corde(corde);
    dessine_corde(corde, MAGENTA);
    click();
    dessine_corde(corde, WHITE);

    cout << "Corde doublement pincee" << endl;
    Corde corde2 = cree_corde(corde.n);
    pince_corde(corde2, 0.8f, -0.1f);
    Corde somme = corde+corde2;
    detruis_corde(corde2);
    dessine_corde(somme, CYAN);
    click();
    dessine_corde(somme, WHITE);
    detruis_corde(somme);

    cout << "Corde vibrante" << endl;
    Corde vibre = copie_corde(corde);
    for(int i=0; i<10000; i++) {
        noRefreshBegin();
        dessine_corde(vibre, WHITE);
        vibre_corde(vibre, corde);
        vibre.y[vibre.n] = 0.2*sin(i*3.14/100);
        dessine_corde(vibre, BLUE);
        noRefreshEnd();
        milliSleep(10);
    }

    detruis_corde(corde);
    detruis_corde(vibre);
    endGraphics();
    return 0;
}
