#pragma once
#include <Imagine/Graphics.h>

const int largeur = 200; // Largeur de la fenetre

struct Corde {
    float* y;
    int n; // Nombre d'intervalles (Nombre de points=n+1)
};

Corde cree_corde(int nb);        // Creation
Corde copie_corde(Corde corde);  // Copie
void detruis_corde(Corde corde); // Destruction
void double_corde(Corde& corde); // Double le nombre d'intervalles

void dessine_corde(Corde corde, Imagine::Color col);

void pince_corde(Corde corde, float pos, float intensite);
Corde operator+(Corde corde1, Corde corde2); // Addition des ordonnees
void vibre_corde(Corde& corde, Corde& prec); // Iteration du schema numerique
